Update the user's permission boundaries
PUT /api/users/{user_id}/boundaries
PUT /api/users/{user_id}/boundariesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
user_id*string
The user ID.
Length
1 <= lengthRequest Body
application/json
An array of permission policy ID.
[index: integer]?string
Response Body
application/json
application/json
curl -X PUT "$API_BASE_URL/api/users/86fb9981-d9d2-4555-9df8-91ae92129335/boundaries" \ -H "Content-Type: application/json" \ -d '[ "efd3bcc7-b61a-47ec-942b-b36bf249f1da" ]'Operation completed successfully with no response body.
""Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
PUT /api/users/{user_id}/boundaries
Update the user's permission boundaries
Replace a user's permission boundaries using permission policy IDs. Boundaries constrain the maximum effective permissions a user can obtain.
Required IAM Permission: Action iam:UpdateUserBoundary, Resource arn:api7:iam:user/%s
Parameters
user_id(path, string, required): The user ID.
Request body
Content type: application/json
Responses
200: Operation completed successfully with no response body.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X PUT '$API_BASE_URL/api/users/{user_id}/boundaries'